%define tarname spice-xpi
%define tarversion 2.2

Name:           spice-xpi
Version:        2.2
Release:        2.3%{?dist}.1
Summary: SPICE extension for Mozilla
Group: Applications/Internet
License:        GPLv2+
URL:            http://www.redhat.com/
Source0:        %{tarname}-%{tarversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{tarname}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:         spice-xpi-2.2-npruntime.patch
Patch2:         spice-xpi-2.2-sec.patch
Patch3:		spice-xpi-2.2-getset-issue.patch

BuildRequires:  gcc-c++
BuildRequires:  zip
BuildRequires:  log4cpp-devel
BuildRequires:  libX11-devel
BuildRequires:  xulrunner-devel
BuildRequires:  automake

ExclusiveArch:  x86_64 i386 i686

Requires: firefox
Requires: qspice-client > 0.3.0-2
Requires: log4cpp

%description
SPICE extension for mozilla allows the client to be used from a web browser.

%prep
%setup -q -n %{tarname}-%{tarversion}
%patch1 -p1 -b .runtime
%patch2 -p1 -b .sec
%patch3 -p1 -b .getset

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/mozilla/*
%{_datadir}/spice
%exclude %{_libdir}/mozilla/*.rdf
%exclude %{_libdir}/mozilla/plugins/*.a
%exclude %{_libdir}/mozilla/plugins/*.la
%doc COPYING README

%changelog
* Tue Mar 29 2011 Peter Hatina <phatina@redhat.com> - 2.2-2.3.el5_6.1
- Fix security vulnerability CVE-2011-1179 (rhbz#689931)
  Resolves: rhbz#689934

* Tue Aug 03 2010 Martin Stransky <stransky@redhat.com> - 2.2-2.2.el5_5
- added fixes for rhbz#581969, rhbz#594006, rhbz#619067, rhbz#620476

* Mon Jul 26 2010 Martin Stransky <stransky@redhat.com> - 2.2-2.1.el5_5
- converted to NPRuntime (rhbz#616033)

* Wed Mar 17 2010 Yuval Kashtan <ykashtan@redhat.com> - 2.2-1.el5
- changed plugin location to /usr/lib{,64}/mozilla/plugins
- still need to remove nspluginwrapper or edit its conf file to ignore libnsISpicec*
- now using mkstemp to create temporary ca file and delete it afterwards.
- resolve: #573367, #570165

* Wed Jan 20 2010 Yuval Kashtan <ykashtan@redhat.com> - 2.2-0.el5
- Initial package

